package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecPriceType;

import java.util.List;

/**
 * 电价计量分类Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-29
 */
public interface ElecPriceTypeMapper {
    /**
     * 查询电价计量分类
     *
     * @param id 电价计量分类主键
     * @return 电价计量分类
     */
    ElecPriceType selectElecPriceTypeById(Long id);

    /**
     * 查询电价计量分类列表
     *
     * @param elecPriceType 电价计量分类
     * @return 电价计量分类集合
     */
    List<ElecPriceType> selectElecPriceTypeList(ElecPriceType elecPriceType);

    /**
     * 新增电价计量分类
     *
     * @param elecPriceType 电价计量分类
     * @return 结果
     */
    int insertElecPriceType(ElecPriceType elecPriceType);

    /**
     * 修改电价计量分类
     *
     * @param elecPriceType 电价计量分类
     * @return 结果
     */
    int updateElecPriceType(ElecPriceType elecPriceType);

    /**
     * 删除电价计量分类
     *
     * @param id 电价计量分类主键
     * @return 结果
     */
    int deleteElecPriceTypeById(Long id);

    /**
     * 批量删除电价计量分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteElecPriceTypeByIds(Long[] ids);
}
